PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_Dynamic_Spawn | ( |  | ) |

PLASMA_Dynamic_Spawn - This function allows an external user to switch the Plasma context to dynamic mode to be able to alternate Plasma functions with personnal tasks submission directly to the Quark instance obtained with PLASMA_Get_Quark(). This call make sure that Plasma internal threads are forwarded to Quark for dynamic computation and that they are not waiting on a plasma barrier for further instructions.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  PLASMA_ERR_NOT_INITIALIZED | if Plasma is not initialized